package com.kmall.api.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 支付单子订单关联记录表实体
 * 表名 mall_payer_child_order_real
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-10-19 16:14:30
 */
public class PayerChildOrderRealEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private Integer id;
    /**
     * 订单编号
     */
    private String orderSn;
    /**
     * 用户编号
     */
    private Integer userId;
    /**
     * 商户订单号
     */
    private String merchOrderSn;
    /**
     * 支付单编号
     */
    private String payNo;
    /**
     * 商户编号
     */
    private String merchSn;
    /**
     * 子订单实付金额
     */
    private BigDecimal payPrice;
    /**
     * 货品业务类型， 01:保税展示店提，02:一般贸易，10:保税展示补货
     */
    private String goodsBizType;
    /**
     * 创建人编号
     */
    private String createrSn;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 修改人编号
     */
    private String moderSn;
    /**
     * 修改时间
     */
    private Date modTime;
    /**
     * 时间戳
     */
    private Date tstm;

    /**
     * 设置：编号
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取：编号
     */
    public Integer getId() {
        return id;
    }
    /**
     * 设置：订单编号
     */
    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }

    /**
     * 获取：订单编号
     */
    public String getOrderSn() {
        return orderSn;
    }
    /**
     * 设置：用户编号
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取：用户编号
     */
    public Integer getUserId() {
        return userId;
    }
    /**
     * 设置：商户订单号
     */
    public void setMerchOrderSn(String merchOrderSn) {
        this.merchOrderSn = merchOrderSn;
    }

    /**
     * 获取：商户订单号
     */
    public String getMerchOrderSn() {
        return merchOrderSn;
    }
    /**
     * 设置：支付单编号
     */
    public void setPayNo(String payNo) {
        this.payNo = payNo;
    }

    /**
     * 获取：支付单编号
     */
    public String getPayNo() {
        return payNo;
    }
    /**
     * 设置：商户编号
     */
    public void setMerchSn(String merchSn) {
        this.merchSn = merchSn;
    }

    /**
     * 获取：商户编号
     */
    public String getMerchSn() {
        return merchSn;
    }
    /**
     * 设置：子订单实付金额
     */
    public void setPayPrice(BigDecimal payPrice) {
        this.payPrice = payPrice;
    }

    /**
     * 获取：子订单实付金额
     */
    public BigDecimal getPayPrice() {
        return payPrice;
    }
    /**
     * 设置：货品业务类型， 01:保税展示店提，02:一般贸易，10:保税展示补货
     */
    public void setGoodsBizType(String goodsBizType) {
        this.goodsBizType = goodsBizType;
    }

    /**
     * 获取：货品业务类型， 01:保税展示店提，02:一般贸易，10:保税展示补货
     */
    public String getGoodsBizType() {
        return goodsBizType;
    }
    /**
     * 设置：创建人编号
     */
    public void setCreaterSn(String createrSn) {
        this.createrSn = createrSn;
    }

    /**
     * 获取：创建人编号
     */
    public String getCreaterSn() {
        return createrSn;
    }
    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 设置：修改人编号
     */
    public void setModerSn(String moderSn) {
        this.moderSn = moderSn;
    }

    /**
     * 获取：修改人编号
     */
    public String getModerSn() {
        return moderSn;
    }
    /**
     * 设置：修改时间
     */
    public void setModTime(Date modTime) {
        this.modTime = modTime;
    }

    /**
     * 获取：修改时间
     */
    public Date getModTime() {
        return modTime;
    }
    /**
     * 设置：时间戳
     */
    public void setTstm(Date tstm) {
        this.tstm = tstm;
    }

    /**
     * 获取：时间戳
     */
    public Date getTstm() {
        return tstm;
    }
}
